org.apache.ignite.internal.processors.cache.verify

## Class ContentionClosure

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.ContentionClosure

All Implemented Interfaces:
  Serializable, Callable<ContentionInfo>, IgniteCallable<ContentionInfo>

    public class ContentionClosure
    extends Object
    implements IgniteCallable<ContentionInfo>

See Also:
  Serialized Form

### Field Summary

Fields
`protected IgniteEx` `ignite` Ignite.

### Constructor Summary

Constructors
Constructor and Description
`ContentionClosure(int minQueueSize, int maxPrint)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContentionInfo` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ignite

    @IgniteInstanceResource
    protected transient IgniteEx ignite

Ignite.

### Constructor Detail

#### ContentionClosure

    public ContentionClosure(int minQueueSize,
                             int maxPrint)

Parameters:
  `minQueueSize` - Min candidate queue size to account.
  `maxPrint` - Max entries to print.

### Method Detail

#### call

    public ContentionInfo call()
                        throws Exception

Specified by:
  `call` in interface `Callable<ContentionInfo>`
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021